Event Class Referenceabstract

Base class for event. More...

`#include <ql/event.hpp>`

Inheritance diagram for Event:
[legend]

## Public Member Functions

Event interface
virtual Date | date () const =0
| returns the date at which the event occurs
virtual bool | hasOccurred (const Date &refDate=Date(), boost::optional< bool > includeRefDate=boost::none) const
| returns true if an event has already occurred before a date More...
Visitability
virtual void | accept (AcyclicVisitor &)
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Detailed Description

Base class for event.

This class acts as a base class for the actual event implementations.

## Member Function Documentation

## hasOccurred()

virtual bool hasOccurred | ( | const Date & | refDate = `Date()`,
|  | boost::optional< bool > | includeRefDate = `boost::none`
| ) |  | const

virtual

returns true if an event has already occurred before a date

If includeRefDate is true, then an event has not occurred if its date is the same as the refDate, i.e. this method returns false if the event date is the same as the refDate.

Reimplemented in CashFlow.